# $Id: mtracker.spec.template,v 1.6 2000/04/19 02:42:25 gary Exp $
Name: Xerces
Summary: XML parser
Group:Applications
Packager: Gary Zharzhavsky <Gary.Zharzhavsky@us.matranet.com>
Version: 1.1.0
Release: 1 
Copyright: See license agreement
Vendor: www.apache.org
Source: Xerces-C-src_1_1_0.tar.gz
URL: http://xml.apache.org/xerces-c/index.html
AutoReqProv: yes
BuildRoot: /tmp

%description
Xerces-C is a validating XML parser written in a portable subset of C++.
Xerces-C makes it easy to give your application the ability to read and
write XML data. A shared library is provided for parsing, generating,
manipulating, and validating XML documents


%package devel
Requires: Xerces >= 1.1.0
Group:Applications
Summary: XML parser for developer
%description devel
Xerces-C is a validating XML parser written in a portable subset of C++.
Xerces-C makes it easy to give your application the ability to read and
write XML data. A shared library is provided for parsing, generating,
manipulating, and validating XML documents

%prep 
%setup -c -n Xerces
 

%build
SUB_DIR=xerces-c-src_1_1_0

export XERCESCROOT="$RPM_BUILD_DIR"/$RPM_PACKAGE_NAME/${SUB_DIR} ; cd "$RPM_BUILD_DIR"/$RPM_PACKAGE_NAME/${SUB_DIR}/src ; ./runConfigure -plinux -cgcc -xg++ -minmem -nfileonly -tnative ; gmake

cd $XERCESCROOT/samples &&  ./runConfigure -plinux -cgcc -xg++ && gmake

%install
SUB_DIR=xerces-c-src_1_1_0

mkdir -p "$RPM_BUILD_ROOT"/usr/lib
mkdir -p "$RPM_BUILD_ROOT"/usr/bin

cd "$RPM_BUILD_DIR"/$RPM_PACKAGE_NAME/xerces-c-src_1_1_0/src
export XERCESCROOT="$RPM_BUILD_DIR"/$RPM_PACKAGE_NAME/xerces-c-src_1_1_0 && make install PREFIX="$RPM_BUILD_ROOT"/usr/include/xerces

cp "$RPM_BUILD_DIR"/$RPM_PACKAGE_NAME/xerces-c-src_1_1_0/lib/libxerces-c1_1.so "$RPM_BUILD_ROOT"/usr/lib
cp -r "$RPM_BUILD_DIR"/$RPM_PACKAGE_NAME/xerces-c-src_1_1_0/bin/*  "$RPM_BUILD_ROOT"/usr/bin

cp -r "$RPM_BUILD_DIR"/$RPM_PACKAGE_NAME/${SUB_DIR}/doc "$RPM_BUILD_DIR"/$RPM_PACKAGE_NAME

%clean
#rm -rf $RPM_BUILD_ROOT%

%files
%defattr(-,root,root)
/usr/lib/libxerces-c1_1.so
/usr/bin/SAXPrint
/usr/bin/SAXCount
/usr/bin/DOMPrint
/usr/bin/DOMCount
/usr/bin/Redirect
/usr/bin/MemParse
/usr/bin/PParse
/usr/bin/StdInParse
/usr/bin/EnumVal
/usr/bin/CreateDOMDocument 


%doc doc/apidocs.xml
%doc doc/blueb.gif
%doc doc/build.xml
%doc doc/caveats.xml
%doc doc/createdoc.xml
%doc doc/domcount.xml
%doc doc/domprint.xml
%doc doc/entities.ent
%doc doc/enumval.xml
%doc doc/faq-distrib.xml
%doc doc/faq-other.xml
%doc doc/faq-parse.xml
%doc doc/feedback.xml
%doc doc/html/apiDocs/ApacheLogo.jpg
%doc doc/html/apiDocs/tail.html
%doc doc/html/apiDocs/logo.gif
%doc doc/html/apiDocs/icon1.gif
%doc doc/html/apiDocs/icon2.gif
%doc doc/html/apiDocs/down.gif
%doc doc/html/apiDocs/ClassGraph.class
%doc doc/html/apiDocs/ClassGraphPanel.class
%doc doc/html/apiDocs/ClassLayout.class
%doc doc/html/apiDocs/NavigatorButton.class
%doc doc/html/apiDocs/index.html
%doc doc/html/apiDocs/HIER.html
%doc doc/html/apiDocs/HIERjava.html
%doc doc/html/apiDocs/aindex.html
%doc doc/html/apiDocs/.html
%doc doc/html/apiDocs/AttributeList.html
%doc doc/html/apiDocs/DocumentHandler.html
%doc doc/html/apiDocs/DTDHandler.html
%doc doc/html/apiDocs/EntityResolver.html
%doc doc/html/apiDocs/Parser.html
%doc doc/html/apiDocs/ErrorHandler.html
%doc doc/html/apiDocs/HandlerBase.html
%doc doc/html/apiDocs/InputSource.html
%doc doc/html/apiDocs/Locator.html
%doc doc/html/apiDocs/SAXException.html
%doc doc/html/apiDocs/SAXParseException.html
%doc doc/html/apiDocs/DOM_Attr.html
%doc doc/html/apiDocs/DOM_CDATASection.html
%doc doc/html/apiDocs/DOM_CharacterData.html
%doc doc/html/apiDocs/DOM_Comment.html
%doc doc/html/apiDocs/DOM_Document.html
%doc doc/html/apiDocs/DOM_DocumentFragment.html
%doc doc/html/apiDocs/DOM_DocumentType.html
%doc doc/html/apiDocs/DOM_DOMException.html
%doc doc/html/apiDocs/DOM_DOMImplementation.html
%doc doc/html/apiDocs/DOM_Element.html
%doc doc/html/apiDocs/DOM_Entity.html
%doc doc/html/apiDocs/DOM_EntityReference.html
%doc doc/html/apiDocs/DOM_NamedNodeMap.html
%doc doc/html/apiDocs/DOM_Node.html
%doc doc/html/apiDocs/DOM_NodeFilter.html
%doc doc/html/apiDocs/DOM_NodeIterator.html
%doc doc/html/apiDocs/DOM_NodeList.html
%doc doc/html/apiDocs/DOM_Notation.html
%doc doc/html/apiDocs/DOM_ProcessingInstruction.html
%doc doc/html/apiDocs/DOM_Text.html
%doc doc/html/apiDocs/DOM_TreeWalker.html
%doc doc/html/apiDocs/LocalFileInputSource.html
%doc doc/html/apiDocs/MemBufInputSource.html
%doc doc/html/apiDocs/StdInInputSource.html
%doc doc/html/apiDocs/URLInputSource.html
%doc doc/html/apiDocs/XMLAttDef.html
%doc doc/html/apiDocs/XMLAttDefList.html
%doc doc/html/apiDocs/XMLAttr.html
%doc doc/html/apiDocs/XMLBuffer.html
%doc doc/html/apiDocs/XMLBufferMgr.html
%doc doc/html/apiDocs/XMLBufBid.html
%doc doc/html/apiDocs/XMLContentModel.html
%doc doc/html/apiDocs/XMLDocumentHandler.html
%doc doc/html/apiDocs/XMLElementDecl.html
%doc doc/html/apiDocs/XMLEntityDecl.html
%doc doc/html/apiDocs/XMLEntityHandler.html
%doc doc/html/apiDocs/XMLErrorReporter.html
%doc doc/html/apiDocs/XMLNotationDecl.html
%doc doc/html/apiDocs/XMLPScanToken.html
%doc doc/html/apiDocs/XMLRecognizer.html
%doc doc/html/apiDocs/XMLRefInfo.html
%doc doc/html/apiDocs/XMLValidator.html
%doc doc/html/apiDocs/DOMString.html
%doc doc/html/apiDocs/operator.html
%doc doc/html/apiDocs/operator.2.html
%doc doc/html/apiDocs/operator.3.html
%doc doc/html/apiDocs/gifs.db
%doc doc/html/apiDocs/operator.4.html
%doc doc/html/apiDocs/XMLString.html
%doc doc/html/apiDocs/XMLPlatformUtils.html
%doc doc/html/apiDocs/DOMParser.html
%doc doc/html/apiDocs/SAXParser.html
%doc doc/html/apiDocs/dxxgifs.tex
%doc doc/html/graphics/feedback-header.jpg
%doc doc/html/graphics/ext-2-label-3.jpg
%doc doc/html/graphics/samples-label-1.jpg
%doc doc/html/graphics/feedback-label-3.jpg
%doc doc/html/graphics/build-label-1.jpg
%doc doc/html/graphics/faqs-label-2.jpg
%doc doc/html/graphics/migrate-label-1.jpg
%doc doc/html/graphics/caveats-label-3.jpg
%doc doc/html/graphics/memparse-header.jpg
%doc doc/html/graphics/index-label-1.jpg
%doc doc/html/graphics/saxprint-header.jpg
%doc doc/html/graphics/install-label-3.jpg
%doc doc/html/graphics/faq-distrib-header.jpg
%doc doc/html/graphics/program-label-3.jpg
%doc doc/html/graphics/program-header.jpg
%doc doc/html/graphics/enumval-header.jpg
%doc doc/html/graphics/ext-14-label-1.jpg
%doc doc/html/graphics/releases-label-1.jpg
%doc doc/html/graphics/api-label-2.jpg
%doc doc/html/graphics/migrate-header.jpg
%doc doc/html/graphics/samples-label-3.jpg
%doc doc/html/graphics/build-label-3.jpg
%doc doc/html/graphics/migrate-label-3.jpg
%doc doc/html/graphics/createdoc-header.jpg
%doc doc/html/graphics/ext-2-label-2.jpg
%doc doc/html/graphics/index-label-3.jpg
%doc doc/html/graphics/feedback-label-2.jpg
%doc doc/html/graphics/faqs-label-1.jpg
%doc doc/html/graphics/faq-other-header.jpg
%doc doc/html/graphics/caveats-label-2.jpg
%doc doc/html/graphics/build-header.jpg
%doc doc/html/graphics/domprint-header.jpg
%doc doc/html/graphics/ext-14-label-3.jpg
%doc doc/html/graphics/releases-label-3.jpg
%doc doc/html/graphics/install-label-2.jpg
%doc doc/html/graphics/caveats-header.jpg
%doc doc/html/graphics/program-label-2.jpg
%doc doc/html/graphics/saxcount-header.jpg
%doc doc/html/graphics/api-label-1.jpg
%doc doc/html/graphics/pparse-header.jpg
%doc doc/html/graphics/faqs-header.jpg
%doc doc/html/graphics/index-header.jpg
%doc doc/html/graphics/samples-label-2.jpg
%doc doc/html/graphics/build-label-2.jpg
%doc doc/html/graphics/faqs-label-3.jpg
%doc doc/html/graphics/redirect-header.jpg
%doc doc/html/graphics/migrate-label-2.jpg
%doc doc/html/graphics/stdinparse-header.jpg
%doc doc/html/graphics/ext-2-label-1.jpg
%doc doc/html/graphics/index-label-2.jpg
%doc doc/html/graphics/feedback-label-1.jpg
%doc doc/html/graphics/caveats-label-1.jpg
%doc doc/html/graphics/install-header.jpg
%doc doc/html/graphics/releases-header.jpg
%doc doc/html/graphics/ext-14-label-2.jpg
%doc doc/html/graphics/releases-label-2.jpg
%doc doc/html/graphics/api-label-3.jpg
%doc doc/html/graphics/domcount-header.jpg
%doc doc/html/graphics/install-label-1.jpg
%doc doc/html/graphics/api-header.jpg
%doc doc/html/graphics/samples-header.jpg
%doc doc/html/graphics/program-label-1.jpg
%doc doc/html/graphics/faq-parse-header.jpg
%doc doc/html/resources/right.gif
%doc doc/html/resources/button-asf-hi.gif
%doc doc/html/resources/button-xml-lo.gif
%doc doc/html/resources/join.gif
%doc doc/html/resources/script.js
%doc doc/html/resources/button-w3c-lo.gif
%doc doc/html/resources/button-xml-hi.gif
%doc doc/html/resources/note.gif
%doc doc/html/resources/dot.gif
%doc doc/html/resources/logo.gif
%doc doc/html/resources/void.gif
%doc doc/html/resources/bottom.gif
%doc doc/html/resources/button-asf-lo.gif
%doc doc/html/resources/line.gif
%doc doc/html/resources/close.gif
%doc doc/html/resources/separator.gif
%doc doc/html/resources/button-w3c-hi.gif
%doc doc/html/faq-distrib.html
%doc doc/html/stdinparse.html
%doc doc/html/faq-other.html
%doc doc/html/memparse.html
%doc doc/html/enumval.html
%doc doc/html/install.html
%doc doc/html/migrate.html
%doc doc/html/samples.html
%doc doc/html/faq-parse.html
%doc doc/html/program.html
%doc doc/html/pparse.html
%doc doc/html/saxprint.html
%doc doc/html/domprint.html
%doc doc/html/caveats.html
%doc doc/html/saxcount.html
%doc doc/html/domcount.html
%doc doc/html/createdoc.html
%doc doc/html/redirect.html
%doc doc/html/index.html
%doc doc/html/faqs.html
%doc doc/html/feedback.html
%doc doc/html/api.html
%doc doc/html/build.html
%doc doc/html/releases.html
%doc doc/index.html
%doc doc/install.xml
%doc doc/memparse.xml
%doc doc/migration.xml
%doc doc/pparse.xml
%doc doc/program.xml
%doc doc/readme.xml
%doc doc/samples.xml
%doc doc/redirect.xml
%doc doc/releases.xml
%doc doc/saxcount.xml
%doc doc/saxprint.xml
%doc doc/stdinparse.xml
%doc doc/xerces-c_book.xml

%files devel

/usr/include/xerces/util/ArrayIndexOutOfBoundsException.hpp
/usr/include/xerces/util/AutoSense.hpp
/usr/include/xerces/util/BinFileInputStream.hpp
/usr/include/xerces/util/BinInputStream.hpp
/usr/include/xerces/util/BinMemInputStream.hpp
/usr/include/xerces/util/BitOps.hpp
/usr/include/xerces/util/BitSet.hpp
/usr/include/xerces/util/CountedPointer.hpp
/usr/include/xerces/util/EmptyStackException.hpp
/usr/include/xerces/util/FlagJanitor.hpp
/usr/include/xerces/util/IOException.hpp
/usr/include/xerces/util/IllegalArgumentException.hpp
/usr/include/xerces/util/InvalidCastException.hpp
/usr/include/xerces/util/Janitor.hpp
/usr/include/xerces/util/KVStringPair.hpp
/usr/include/xerces/util/KeyValuePair.hpp
/usr/include/xerces/util/Mutexes.hpp
/usr/include/xerces/util/NameIdPool.hpp
/usr/include/xerces/util/NoDefTranscoderException.hpp
/usr/include/xerces/util/NoSuchElementException.hpp
/usr/include/xerces/util/NullPointerException.hpp
/usr/include/xerces/util/PlatformUtils.hpp
/usr/include/xerces/util/RefArrayOf.hpp
/usr/include/xerces/util/RefHashTableOf.hpp
/usr/include/xerces/util/RefStackOf.hpp
/usr/include/xerces/util/RefVectorOf.hpp
/usr/include/xerces/util/RuntimeException.hpp
/usr/include/xerces/util/StringPool.hpp
/usr/include/xerces/util/TextOutputStream.hpp
/usr/include/xerces/util/TransENameMap.hpp
/usr/include/xerces/util/TransService.hpp
/usr/include/xerces/util/TranscodingException.hpp
/usr/include/xerces/util/UTFDataFormatException.hpp
/usr/include/xerces/util/UnexpectedEOFException.hpp
/usr/include/xerces/util/UnsupportedEncodingException.hpp
/usr/include/xerces/util/ValueArrayOf.hpp
/usr/include/xerces/util/ValueStackOf.hpp
/usr/include/xerces/util/ValueVectorOf.hpp
/usr/include/xerces/util/XML4CDefs.hpp
/usr/include/xerces/util/XML88591Transcoder.hpp
/usr/include/xerces/util/XMLASCIITranscoder.hpp
/usr/include/xerces/util/XMLChTranscoder.hpp
/usr/include/xerces/util/XMLIBM1140Transcoder.hpp
/usr/include/xerces/util/XMLEBCDICTranscoder.hpp
/usr/include/xerces/util/XMLEnumerator.hpp
/usr/include/xerces/util/XMLExceptMsgs.hpp
/usr/include/xerces/util/XMLException.hpp
/usr/include/xerces/util/XMLMsgLoader.hpp
/usr/include/xerces/util/XMLNetAccessor.hpp
/usr/include/xerces/util/XMLString.hpp
/usr/include/xerces/util/XMLUCS4Transcoder.hpp
/usr/include/xerces/util/XMLURL.hpp
/usr/include/xerces/util/XMLUTF16Transcoder.hpp
/usr/include/xerces/util/XMLUTF8Transcoder.hpp
/usr/include/xerces/util/XMLUni.hpp
/usr/include/xerces/util/XMLWin1252Transcoder.hpp
/usr/include/xerces/util/CountedPointer.c
/usr/include/xerces/util/FlagJanitor.c
/usr/include/xerces/util/Janitor.c
/usr/include/xerces/util/KeyValuePair.c
/usr/include/xerces/util/NameIdPool.c
/usr/include/xerces/util/RefArrayOf.c
/usr/include/xerces/util/RefHashTableOf.c
/usr/include/xerces/util/RefStackOf.c
/usr/include/xerces/util/RefVectorOf.c
/usr/include/xerces/util/TransENameMap.c
/usr/include/xerces/util/ValueArrayOf.c
/usr/include/xerces/util/ValueStackOf.c
/usr/include/xerces/util/ValueVectorOf.c
/usr/include/xerces/util/Platforms/Linux/LinuxDefs.hpp
/usr/include/xerces/util/Transcoders/Iconv/IconvTransService.hpp
/usr/include/xerces/util/MsgLoaders/InMemory/CppErrMsgs_EN_US.hpp
/usr/include/xerces/util/MsgLoaders/InMemory/InMemMsgLoader.hpp
/usr/include/xerces/util/Compilers/BorlandCDefs.hpp
/usr/include/xerces/util/Compilers/CSetDefs.hpp
/usr/include/xerces/util/Compilers/CodeWarriorDefs.hpp
/usr/include/xerces/util/Compilers/GCCDefs.hpp
/usr/include/xerces/util/Compilers/HPCCDefs.hpp
/usr/include/xerces/util/Compilers/IBMVAOS2Defs.hpp
/usr/include/xerces/util/Compilers/IBMVAW32Defs.hpp
/usr/include/xerces/util/Compilers/MVSCPPDefs.hpp
/usr/include/xerces/util/Compilers/SCOCCDefs.hpp
/usr/include/xerces/util/Compilers/SunCCDefs.hpp
/usr/include/xerces/util/Compilers/SunKaiDefs.hpp
/usr/include/xerces/util/Compilers/OS400SetDefs.hpp
/usr/include/xerces/util/Compilers/MIPSproDefs.hpp
/usr/include/xerces/util/Compilers/TandemCCDefs.hpp
/usr/include/xerces/util/Compilers/VCPPDefs.hpp
/usr/include/xerces/sax/AttributeList.hpp
/usr/include/xerces/sax/DTDHandler.hpp
/usr/include/xerces/sax/DocumentHandler.hpp
/usr/include/xerces/sax/EntityResolver.hpp
/usr/include/xerces/sax/ErrorHandler.hpp
/usr/include/xerces/sax/HandlerBase.hpp
/usr/include/xerces/sax/InputSource.hpp
/usr/include/xerces/sax/Locator.hpp
/usr/include/xerces/sax/Parser.hpp
/usr/include/xerces/sax/SAXException.hpp
/usr/include/xerces/sax/SAXParseException.hpp
/usr/include/xerces/internal/CharTypeTables.hpp
/usr/include/xerces/internal/ElemStack.hpp
/usr/include/xerces/internal/EndOfEntityException.hpp
/usr/include/xerces/internal/ReaderMgr.hpp
/usr/include/xerces/internal/VecAttrListImpl.hpp
/usr/include/xerces/internal/XMLReader.hpp
/usr/include/xerces/internal/XMLScanner.hpp
/usr/include/xerces/framework/LocalFileInputSource.hpp
/usr/include/xerces/framework/MemBufInputSource.hpp
/usr/include/xerces/framework/StdInInputSource.hpp
/usr/include/xerces/framework/URLInputSource.hpp
/usr/include/xerces/framework/XMLAttDef.hpp
/usr/include/xerces/framework/XMLAttDefList.hpp
/usr/include/xerces/framework/XMLAttr.hpp
/usr/include/xerces/framework/XMLBuffer.hpp
/usr/include/xerces/framework/XMLBufferMgr.hpp
/usr/include/xerces/framework/XMLContentModel.hpp
/usr/include/xerces/framework/XMLDocumentHandler.hpp
/usr/include/xerces/framework/XMLElementDecl.hpp
/usr/include/xerces/framework/XMLEntityDecl.hpp
/usr/include/xerces/framework/XMLEntityHandler.hpp
/usr/include/xerces/framework/XMLErrorCodes.hpp
/usr/include/xerces/framework/XMLErrorReporter.hpp
/usr/include/xerces/framework/XMLNotationDecl.hpp
/usr/include/xerces/framework/XMLPScanToken.hpp
/usr/include/xerces/framework/XMLRecognizer.hpp
/usr/include/xerces/framework/XMLRefInfo.hpp
/usr/include/xerces/framework/XMLValidator.hpp
/usr/include/xerces/framework/XMLValidityCodes.hpp
/usr/include/xerces/parsers/DOMParser.hpp
/usr/include/xerces/parsers/SAXParser.hpp
/usr/include/xerces/dom/DOM.hpp
/usr/include/xerces/dom/DOMString.hpp
/usr/include/xerces/dom/DOM_Attr.hpp
/usr/include/xerces/dom/DOM_CDATASection.hpp
/usr/include/xerces/dom/DOM_CharacterData.hpp
/usr/include/xerces/dom/DOM_Comment.hpp
/usr/include/xerces/dom/DOM_DOMException.hpp
/usr/include/xerces/dom/DOM_DOMImplementation.hpp
/usr/include/xerces/dom/DOM_Document.hpp
/usr/include/xerces/dom/DOM_DocumentFragment.hpp
/usr/include/xerces/dom/DOM_DocumentType.hpp
/usr/include/xerces/dom/DOM_Element.hpp
/usr/include/xerces/dom/DOM_Entity.hpp
/usr/include/xerces/dom/DOM_EntityReference.hpp
/usr/include/xerces/dom/DOM_NamedNodeMap.hpp
/usr/include/xerces/dom/DOM_Node.hpp
/usr/include/xerces/dom/DOM_NodeFilter.hpp
/usr/include/xerces/dom/DOM_NodeIterator.hpp
/usr/include/xerces/dom/DOM_NodeList.hpp
/usr/include/xerces/dom/DOM_Notation.hpp
/usr/include/xerces/dom/DOM_ProcessingInstruction.hpp
/usr/include/xerces/dom/DOM_Text.hpp
/usr/include/xerces/dom/DOM_TreeWalker.hpp
/usr/include/xerces/validators/DTD/CMBinaryOp.hpp
/usr/include/xerces/validators/DTD/CMLeaf.hpp
/usr/include/xerces/validators/DTD/CMNode.hpp
/usr/include/xerces/validators/DTD/CMStateSet.hpp
/usr/include/xerces/validators/DTD/CMUnaryOp.hpp
/usr/include/xerces/validators/DTD/ContentSpecNode.hpp
/usr/include/xerces/validators/DTD/DFAContentModel.hpp
/usr/include/xerces/validators/DTD/DTDAttDef.hpp
/usr/include/xerces/validators/DTD/DTDAttDefList.hpp
/usr/include/xerces/validators/DTD/DTDElementDecl.hpp
/usr/include/xerces/validators/DTD/DTDEntityDecl.hpp
/usr/include/xerces/validators/DTD/DTDValidator.hpp
/usr/include/xerces/validators/DTD/DocTypeHandler.hpp
/usr/include/xerces/validators/DTD/MixedContentModel.hpp
/usr/include/xerces/validators/DTD/SimpleContentModel.hpp
/usr/include/xerces/lib/libxerces-c1_1.so
                            